<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="V5Shop.Web.js_snatchprice" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="V5Shop.Common" %>
<%@ Import namespace="Microsoft.Practices.EnterpriseLibrary.Caching" %>
<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by V5Shop Template Engine at 2009-5-15 23:25:07.
		本页面代码由V5Shop模板引擎生成于 2009-5-15 23:25:07. 
	*/

	base.OnInit(e);
	
	int usersnatchprice__loop__id=0;
	usersnatchprice__loop__id=0;
	foreach(DataRow usersnatchprice_member in getTable("usersnatchprice","["+cid+"],username$price,["+base.LoginID+"]NOCACHE").Rows)
	{
	if(usersnatchprice__loop__id == 0 && usersnatchprice__loop__id != 0) break;
		usersnatchprice__loop__id++;
	templateBuilder.Append("" + usersnatchprice_member["username"].ToString() + "<br />\r\n");
	templateBuilder.Append("<font size='+0'>&mdash;&mdash;￥" + usersnatchprice_member["price"].ToString() + "</font><br />\r\n");
	
	}	//end loop
	
	Response.Write(templateBuilder.ToString());
//init cache
	CacheManager testcaching = CacheFactory.GetCacheManager();
	if(!testcaching.Contains(Request.Url.ToString()))
	{
		testcaching.Add(Request.Url.ToString(), templateBuilder.ToString());
	}
}
</script>
